Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtPickerClickRectMachine Class Reference

Inheritance diagram for QwtPickerClickRectMachine:

[legend]
Collaboration diagram for QwtPickerClickRectMachine:

[legend]
List of all members.

## Detailed Description

A state machine for rectangle selections.

Pressing QwtEventPattern::MouseSelect1 starts the selection, releasing it selects the first point. Pressing it again selects the second point and terminates the selection. Pressing QwtEventPattern::KeySelect1 also starts the selection, a second press selects the first point. A third one selects the second point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 98 of file qwt_picker_machine.h.

## Public Member Functions
virtual QValueList< Command > | transition (const QwtEventPattern &, const QEvent *)

## Member Function Documentation

QValueList< QwtPickerMachine::Command > QwtPickerClickRectMachine::transition | ( | const QwtEventPattern & | ,
|  | const QEvent * |
| ) | `[virtual]`

| Transition. Implements QwtPickerMachine. Definition at line 145 of file qwt_picker_machine.cpp. References QwtEventPattern::keyMatch(), QwtEventPattern::mouseMatch(), QwtPickerMachine::setState(), and QwtPickerMachine::state().